# Wallet Container

- [save](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/save.md): This method saves the current wallet container to disk using same filename as when loaded.
- [export](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/export.md): This method exports the current wallet container to a new file.
- [reset](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/reset.md): This method clears all cached data and rescans the blockchain for transactions. If viewSecretKey is specified, old key will be discarded and rescan will use the new key for scanning transactions.
- [createAddress](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/createaddress.md): Either spendSecretKey or spendPublicKey, or neither, should be specified. New keys will be generated if neither parameter is specified.
- [createAddressList](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/createaddresslist.md): This method creates as many wallets as there is spend keys in the request
- [deleteAddress](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/deleteaddress.md)
- [getSpendKeys](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/getspendkeys.md)
- [getBalance](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/getbalance.md)
- [getBlockHashes](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/getblockhashes.md)
- [getTransactionHashes](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/gettransactionhashes.md): Either blockHash or firstBlockIndex should be specified.
- [getTransactions](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/gettransactions.md): Either blockHash or firstBlockIndex should be specified.
- [getUnconfirmedTransactionHashes](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/getunconfirmedtransactionhashes.md)
- [getTransaction](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/gettransaction.md)
- [sendTransaction](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/sendtransaction.md)
- [createDelayedTransaction](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/createdelayedtransaction.md)
- [getDelayedTransactionHashes](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/getdelayedtransactionhashes.md)
- [deleteDelayedTransaction](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/deletedelayedtransaction.md)
- [sendDelayedTransaction](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/senddelayedtransaction.md)
- [getViewKey](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/getviewkey.md)
- [getStatus](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/getstatus.md)
- [getAddresses](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/getaddresses.md)
- [sendFusionTransaction](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/sendfusiontransaction.md)
- [estimateFusion](https://docs.bbscoin.org/development-integration/wallet-api/wallet-container/estimatefusion.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bbscoin.org/development-integration/wallet-api/wallet-container.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
